Home / Forums / DynamiX Support / Conflicts with BP Gallery from Buddy Dev

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts

  • Joel Schlotterer
    Participant

    I am getting this error with the BP Gallery plugin, any ideas?

     

    Warning: preg_match() expects parameter 2 to be string, array given in /nfs/c10/h02/mnt/144661/domains/artskcnowshowing.org/html/wp-includes/class.wp-scripts.php on line 113

    Warning: strpos() expects parameter 1 to be string, array given in /nfs/c10/h02/mnt/144661/domains/artskcnowshowing.org/html/wp-includes/class.wp-scripts.php on line 113

    Andy
    Andy
    Keymaster

    Hi Joel,

     

    I’m not sure why you receive those errors but they’re not coming from the Theme, that’s the core WordPress scripts page. Does it work on the default BP theme?


    Joel Schlotterer
    Participant

    when i switch to the theme included in buddypress the errors go away…


    Joel Schlotterer
    Participant

    I have been having script conflict problems with this theme every time i’ve used it…. it generally happens with perfectly good plugins that I’ve used with other themes and had no problems, maybe you want to reconsider how you do your script calling….

    Andy
    Andy
    Keymaster

    What version are you using? All major scripts are enqueued in the correct manner.


    Joel Schlotterer
    Participant

    I am using the latest release… to be fair I have a custom plugin on here, but i’m am just at a loss as to how i can be getting these errors all the way down in the wp core like this…  would really appreciate any help.

    Andy
    Andy
    Keymaster

    Hi Joel,

     

    I can’t find this plugin on the WordPress plugin library. Is it an official one?

    Andy
    Andy
    Keymaster

    The only thing I can suggest is to edit DynamiX/functions.php and start commenting out the following lines to see which one has the conflict ( it will prevent some of the DynamiX features from working but help narrow it down ).

     

    wp_enqueue_script(‘jquery-ui’,false,null);
    wp_enqueue_script(‘jquery-ui-core’,false,null);
    wp_enqueue_script(‘jquery-ui-tabs’,false,null);
    wp_enqueue_script(“jquery-effects-core”,false,null);
    wp_enqueue_script(“jquery-ui-accordion”,false,null);

    wp_deregister_script( ‘dynamix’ );
    wp_register_script( ‘dynamix’, get_bloginfo(‘template_directory’).’/js/dynamix.min.js’,false,null);
    wp_enqueue_script( ‘dynamix’ );


    Joel Schlotterer
    Participant

    I went through one by and and commented them out to no avail …

    Andy
    Andy
    Keymaster

    Hi Joel,

     

    That means it’s nothing to do with any jQuery scripts. Have you contacted the plugin developer to see what they say about the error?

Viewing 10 posts - 1 through 10 (of 10 total)

You must be logged in to reply to this topic.